"use strict";

module.exports = {
    meta: {
        docs: {
            description: "Prevent parent prop",
            category: "",
            recommended: true
        },
        schema: []
    },

    create: context => {
        return {
            JSXOpeningElement: node => {
                const nodeType = node.name.name;

                if (nodeType !== "Trans") {
                    return;
                }

                const parentAttr = node.attributes.find(
                    attr =>
                        attr.type === "JSXAttribute" &&
                        attr.name.name === "parent"
                );

                if (parentAttr) {
                    context.report(node, "No parent prop allowed");
                }
            }
        };
    }
};
