"use strict";

const rule = require("../../../lib/rules/no-parent-prop");
const RuleTester = require("eslint").RuleTester;

RuleTester.setDefaultConfig({
    parserOptions: {
        ecmaVersion: 6,
        ecmaFeatures: {
            jsx: true
        }
    }
});

const ruleTester = new RuleTester();

ruleTester.run("no-parent-prop", rule, {
    valid: [
        {
            code: '<Trans i18nKey="key" />'
        }
    ],

    invalid: [
        {
            code: '<Trans i18nKey="key" parent="div" />',
            errors: [
                {
                    message: "No parent prop allowed",
                    type: "JSXOpeningElement"
                }
            ]
        }
    ]
});
