"use strict";

const rule = require("../../../lib/rules/require-namespace");
const RuleTester = require("eslint").RuleTester;

RuleTester.setDefaultConfig({
    parserOptions: {
        ecmaVersion: 6,
        ecmaFeatures: {
            jsx: true
        }
    }
});

const ruleTester = new RuleTester();

ruleTester.run("require-namespace", rule, {
    valid: [
        {
            code: '<Trans i18nKey="ns:key" />'
        }
    ],

    invalid: [
        {
            code: '<Trans i18nKey="key" />',
            errors: [
                {
                    message: "The i18nKey prop value should have namespace",
                    type: "JSXOpeningElement"
                }
            ]
        }
    ]
});
